<template>
  <v-container fluid>
    <v-row justify="center">
      <v-col
        cols="12"
        md="8"
      >
        <material-card
          color="primary"
          icon="mdi-account-outline"
        >
          <template #title>
            {{ $t('administrator') }}
          </template>

          <template #subtitle>
            {{ $t('hint') }}
          </template>

          <v-expansion-panels
            v-model="openByDefault"
            multiple
          >
            <v-expansion-panel-item>
              <template v-slot:title>
                <section-title v-text="$t('personalInformation')" />
              </template>
              <personal-information />
            </v-expansion-panel-item>

            <v-expansion-panel-item>
              <template v-slot:title>
                <section-title v-text="$t('systemLanguage')" />
              </template>
              <system-language />
            </v-expansion-panel-item>

            <v-expansion-panel-item>
              <template v-slot:title>
                <section-title v-text="$t('accessPassword')" />
              </template>
              <access-password />
            </v-expansion-panel-item>

            <v-expansion-panel-item>
              <template v-slot:title>
                <section-title v-text="$t('disableAccount')" />
              </template>
              <disable-account />
            </v-expansion-panel-item>
          </v-expansion-panels>
        </material-card>
      </v-col>
    </v-row>
  </v-container>
</template>

<script>
  import SectionTitle from './components/SectionTitle'
  import PersonalInformation from './components/PersonalInformation'
  import SystemLanguage from './components/SystemLanguage'
  import AccessPassword from './components/AccessPassword'
  import DisableAccount from './components/DisableAccount'

  const PERSONAL_INFORMATION = 0

  export default {
    name: 'Administration',
    components: {
      SectionTitle,
      PersonalInformation,
      SystemLanguage,
      AccessPassword,
      DisableAccount,
    },
    data () {
      return {
        openByDefault: [PERSONAL_INFORMATION],
      }
    },
    i18n: {
      messages: {
        'pt-BR': {
          administrator: 'Administrador',
          hint: 'Dica: aqui você pode atualizar as informações do administrador do sistema.',
          personalInformation: 'Informações pessoais',
          accessPassword: 'Senha de acesso',
          systemLanguage: 'Idioma do sistema',
          disableAccount: 'Desativar conta',
        },
        'en-US': {
          administrator: 'Administrator',
          hint: 'Tip: here you can update the system administrator\'s information',
          personalInformation: 'Personal information',
          accessPassword: 'Access password',
          systemLanguage: 'System language',
          disableAccount: 'Disable account',
        },
      },
    },
  }
</script>
